#include <sys/ioctl.h>
#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <time.h>

#define EXT3_IOC_FSCK		_IOW('f', 11, long)
#define EXT3_IOC_FSCK_TEST_REQUEST _IOW('f', 12, long)
#define EXT3_IOC_FSCK_TEST_UMOUNT _IOW('f', 13, long)


#define IOCTL_PATH "/mnt/ext3/ioctl"

typedef struct icefs_fsck_user_state {
    int cube_no;
    int flag; // 0: waiting for fsck request; 1: finished a fsck request; <0: there is an error during fsck
} icefs_fsck_user_state_t;

int main(int argc, char *argv[]) {
    int fd;
    char cmd[256];
    int ret=0;
    int cube_no=0;
    
    icefs_fsck_user_state_t request={0};

    
    fd = open(IOCTL_PATH, O_RDONLY);
    if(fd<0){
	perror("ERROR: Unable to open ioctl file\n");
	exit(EXIT_FAILURE);
    }

    printf("EXT3_IOC_FSCK_TEST_UMOUNT enter\n");
    ret = ioctl(fd, EXT3_IOC_FSCK_TEST_UMOUNT);	
    printf("EXT3_IOC_FSCK_TEST_UMOUNT return\n");

    close(fd);

    return 0;
}
